Skip to main content
GET
/
api
/
v2
/
alpha
/
recent-calls
cURL
curl --request GET \
  --url https://api.shuriken.trade/api/v2/alpha/recent-calls \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "calls": [
      {
        "chain": "<string>",
        "firstSeenAt": 123,
        "lastSeenAt": 123,
        "mentionCount": 1,
        "tokenAddress": "<string>",
        "currentPriceUsd": "<string>",
        "lastSource": {
          "platform": "<string>",
          "authorUsername": "<string>",
          "channelName": "<string>",
          "connectionId": "<string>",
          "messagePreview": "<string>",
          "sourceName": "<string>"
        },
        "liquidityUsdAtCall": "<string>",
        "marketCapUsdAtCall": "<string>",
        "priceUsdAtCall": "<string>",
        "tokenName": "<string>",
        "tokenSymbol": "<string>"
      }
    ],
    "totalCount": 1
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shuriken.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Query Parameters

limit
integer<int32>

Maximum calls to return

Required range: x >= 0
sourceName
string

Filter by source name

connectionId
string

Filter by connection ID

Response

Recent alpha calls

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info (per RFC)